Bug 51333 - Accessibility:MAS 40B:Name Property is empty for "Enter Mac address" edit box
Summary: Accessibility:MAS 40B:Name Property is empty for "Enter Mac address" edit box
Status: CLOSED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: Accessibility (show other bugs)
Version: 4.3.0 (C9)
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Adrian Murphy
URL:
Depends on:
Blocks:
 
Reported: 2017-01-10 14:58 UTC by v-sukals@microsoft.com
Modified: 2017-10-07 14:02 UTC (History)
4 users (show)

Tags: a11ymas,wipro
Is this bug a regression?: ---
Last known good build:


Attachments
Inspect and narrator buddy logs (68.08 KB, image/png)
2017-01-10 14:58 UTC, v-sukals@microsoft.com
Details
Inspect Logs (97.35 KB, image/png)
2017-01-11 05:25 UTC, v-sukals@microsoft.com
Details
Inspect-Issue is fixed-Enter MAC name or IP address (150.00 KB, image/png)
2017-10-07 13:59 UTC, v-sukals@microsoft.com
Details
Narrator buddy-Issue is fixed-Enter MAC name or IP address (109.80 KB, image/png)
2017-10-07 14:00 UTC, v-sukals@microsoft.com
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
CLOSED FIXED

Description v-sukals@microsoft.com 2017-01-10 14:58:42 UTC
Created attachment 19150 [details]
Inspect and narrator buddy logs

Repro Steps:
1. Launch Visual Studio RC 2017
2. Open File+New Project+Select "Crossplatform" from the Left Pane
3. Select "Cross Platform App"."New Crossplatform" window opens
4. Select "Blank App" 
5. Press Ok button
6. Open Tools-->Options
7. "Options" window opens. Navigate to "Xamarin" and expand. 
8. Select "iOS Settings"
9. Tab to "Find xamarin Mac agent" button and press Enter Key
10. "Xamarin Mac Agent Instructions" window opens. Press ESC.
11. Xamarin Mac Agent window opens
12. Tab to "Add Mac" button and press Enter
13. "Add Mac" dialog opens.
14. launch Inspect tool
15. Observe Name property for "Enter Mac address or IP address" edit box in inspect


Actual Behavior:
Name Property Is Empty


Expected Behavior:
Name Property should be defined as "Enter Mac address or Ip address"

User impact:
User who Rely on screen reader cannot identify the name of the control. Screen reader reads only the control type if Name property is empty
Comment 1 v-sukals@microsoft.com 2017-01-11 05:25:41 UTC
Created attachment 19169 [details]
Inspect Logs
Comment 2 Nick Sadovyi 2017-09-01 07:20:36 UTC
Fixed (master)

Author: Nick
Commit: 01114af3eef728d7b85d232a976d5cfe6f778b3c(xamarin/XamarinVS)
Comment 3 v-sukals@microsoft.com 2017-09-12 13:10:48 UTC
Xamarin version (master) is not available.
Comment 4 v-sukals@microsoft.com 2017-10-07 13:59:54 UTC
Created attachment 25202 [details]
Inspect-Issue is fixed-Enter MAC name or IP address
Comment 5 v-sukals@microsoft.com 2017-10-07 14:00:24 UTC
Created attachment 25203 [details]
Narrator buddy-Issue is fixed-Enter MAC name or IP address
Comment 6 v-sukals@microsoft.com 2017-10-07 14:02:31 UTC
Though the UI is changed as "Enter server name or IP address",user does not have any impact and  the name property is appropriate to the context, hence closing the bug.

Verified Windows Version:
Windows 10 Pro
OS Version 1703 (OS Build 15063.608)

Verified Visual Studio Build:
Visual Studio Enterprise 2017 d15rel
Version 15.5.0 Preview 1.0[27006.1.d15rel]
Xamarin Version: 4.8.0.559(dbde9cdd3)

Note: Please find the latest attachment for more info.